Extending ICMP for Interface and Next-Hop Identification
RFC 5837

Revision differences

Document history

Date Rev. By Action
2018-12-20
09 (System)
Received changes through RFC Editor sync (changed abstract to 'This memo defines a data structure that can be appended to selected ICMP messages. The ICMP ...
2017-05-16
09 (System) Changed document authors from "Naiming Shen, Ron Bonica, Carlos Pignataro" to "Naiming Shen, Ron Bonica, Carlos Pignataro, Alia Atlas, JR. Rivers"
2015-10-14
09 (System) Notify list changed from akatlas@google.com, draft-atlas-icmp-unnumbered@ietf.org, watkinal@us.ibm.com to watkinal@us.ibm.com, akatlas@google.com
2012-08-22
09 (System) post-migration administrative database adjustment to the No Objection position for Robert Sparks
2012-08-22
09 (System) post-migration administrative database adjustment to the No Objection position for Magnus Westerlund
2012-08-22
09 (System) post-migration administrative database adjustment to the No Objection position for Dan Romascanu
2012-08-22
09 (System) post-migration administrative database adjustment to the No Objection position for Lars Eggert
2012-08-22
09 (System) post-migration administrative database adjustment to the No Objection position for Russ Housley
2010-04-21
09 Amy Vezza State Changes to RFC Published from RFC Ed Queue by Amy Vezza
2010-04-21
09 Amy Vezza [Note]: 'RFC 5837' added by Amy Vezza
2010-04-20
09 (System) RFC published
2010-01-27
09 (System) IANA Action state changed to RFC-Ed-Ack from Waiting on RFC Editor
2010-01-27
09 (System) IANA Action state changed to Waiting on RFC Editor from In Progress
2010-01-27
09 (System) IANA Action state changed to In Progress from Waiting on Authors
2010-01-27
09 Cindy Morgan State Changes to RFC Ed Queue from Approved-announcement sent by Cindy Morgan
2010-01-27
09 (System) IANA Action state changed to Waiting on Authors from In Progress
2010-01-26
09 (System) IANA Action state changed to In Progress from Waiting on Authors
2010-01-26
09 (System) IANA Action state changed to Waiting on Authors from In Progress
2010-01-26
09 (System) IANA Action state changed to In Progress
2010-01-26
09 Cindy Morgan IESG state changed to Approved-announcement sent
2010-01-26
09 Cindy Morgan IESG has approved the document
2010-01-26
09 Cindy Morgan Closed "Approve" ballot
2010-01-21
09 Cindy Morgan State Changes to Approved-announcement to be sent from IESG Evaluation by Cindy Morgan
2010-01-20
09 Cullen Jennings [Ballot Position Update] Position for Cullen Jennings has been changed to No Objection from Undefined by Cullen Jennings
2010-01-11
09 Tim Polk [Ballot comment]
Section 2

  When a datagram that cannot be processed arrives on an unnumbered
  interface, neither ICMP nor ICMPv6 currently

s/ICMP/ICMPv4/
2010-01-11
09 Tim Polk [Ballot discuss]
2010-01-11
09 Tim Polk [Ballot Position Update] Position for Tim Polk has been changed to No Objection from Undefined by Tim Polk
2010-01-08
09 Robert Sparks [Ballot Position Update] Position for Robert Sparks has been changed to No Objection from Discuss by Robert Sparks
2010-01-07
09 Cindy Morgan Telechat date was changed to 2010-01-21 from 2010-01-07 by Cindy Morgan
2010-01-07
09 Russ Housley [Ballot Position Update] Position for Russ Housley has been changed to No Objection from Discuss by Russ Housley
2010-01-07
09 Cullen Jennings [Ballot Position Update] Position for Cullen Jennings has been changed to Undefined from No Objection by Cullen Jennings
2010-01-07
09 Tim Polk [Ballot Position Update] Position for Tim Polk has been changed to Undefined from Discuss by Tim Polk
2010-01-07
09 Lisa Dusseault [Ballot Position Update] Position for Lisa Dusseault has been changed to No Objection from Undefined by Lisa Dusseault
2010-01-07
09 Lisa Dusseault [Ballot Position Update] Position for Lisa Dusseault has been changed to Undefined from No Objection by Lisa Dusseault
2010-01-07
09 Lisa Dusseault [Ballot Position Update] New position, No Objection, has been recorded by Lisa Dusseault
2010-01-07
09 Cullen Jennings [Ballot Position Update] New position, No Objection, has been recorded by Cullen Jennings
2010-01-06
09 Ross Callon [Ballot Position Update] New position, No Objection, has been recorded by Ross Callon
2010-01-06
09 (System) New version available: draft-atlas-icmp-unnumbered-09.txt
2010-01-06
09 Russ Housley
[Ballot discuss]
The Gen-ART Review by David Black lead to a discussion with the
  document authors, it is clear that a revided document is ...
2010-01-06
09 Russ Housley [Ballot Position Update] Position for Russ Housley has been changed to Discuss from No Objection by Russ Housley
2010-01-05
09 Pasi Eronen [Ballot comment]
2010-01-03
09 Jari Arkko State Changes to IESG Evaluation from Waiting for AD Go-Ahead by Jari Arkko
2010-01-03
09 Alexey Melnikov [Ballot comment]
I am much happier that the latest version only allows UTF-8 as the character set for ifName.
2010-01-01
09 (System) State has been changed to Waiting for AD Go-Ahead from In Last Call by system
2009-12-31
09 Adrian Farrel
[Ballot comment]
Thanks for addressing the many and varied Discusses and Comments on this document.

I have just one Comment of any substance...

Section 5 ...
2009-12-31
09 Adrian Farrel [Ballot discuss]
2009-12-31
09 Adrian Farrel [Ballot Position Update] Position for Adrian Farrel has been changed to No Objection from Discuss by Adrian Farrel
2009-12-31
09 Adrian Farrel [Ballot comment]
Removing all my comments pending rereview
2009-12-31
09 Adrian Farrel [Ballot discuss]
Cleared my old Discusses that seem to have been addressed.
Will now review the new revision which seems to be significantly different.
2009-12-24
09 Amanda Baber
IANA comments:

Upon approval of this document, IANA will make the following
assignments in the "ICMP Extension Object Classes" registry at
http://www.iana.org/assignments/icmp-parameters

Object
Class
Value ...
2009-12-15
09 Jari Arkko Placed on agenda for telechat - 2010-01-07 by Jari Arkko
2009-12-09
09 Russ Housley [Ballot Position Update] Position for Russ Housley has been changed to No Objection from Discuss by Russ Housley
2009-12-04
08 (System) New version available: draft-atlas-icmp-unnumbered-08.txt
2009-12-04
09 Amy Vezza Last call sent
2009-12-04
09 Amy Vezza State Changes to In Last Call from Last Call Requested by Amy Vezza
2009-12-01
09 Jari Arkko State Changes to Last Call Requested from AD Evaluation by Jari Arkko
2009-12-01
09 Jari Arkko Last Call was requested by Jari Arkko
2009-12-01
09 Jari Arkko Ballot has been issued by Jari Arkko
2009-12-01
09 Jari Arkko State Changes to AD Evaluation from Publication Requested by Jari Arkko
2009-12-01
09 Jari Arkko State Changes to Publication Requested from AD is watching by Jari Arkko
2009-11-20
09 Dan Romascanu [Ballot Position Update] Position for Dan Romascanu has been changed to No Objection from Discuss by Dan Romascanu
2009-11-19
09 Dan Romascanu [Ballot comment]
2009-11-19
09 Dan Romascanu
[Ballot discuss]
In Section 2:

  The interface name SHOULD be identical to the first 63 octets of the
  ifName, as defined in [RFC2863].  ...
2009-10-06
09 Lars Eggert [Ballot Position Update] Position for Lars Eggert has been changed to No Objection from Discuss by Lars Eggert
2009-10-02
09 Magnus Westerlund [Ballot Position Update] Position for Magnus Westerlund has been changed to No Objection from Discuss by Magnus Westerlund
2009-08-10
09 Pasi Eronen [Ballot Position Update] Position for Pasi Eronen has been changed to No Objection from Discuss by Pasi Eronen
2009-08-10
09 Pasi Eronen [Ballot comment]
It looks like RFC3629 (UTF-8) should be a normative reference,
not informative.
2009-08-10
09 Pasi Eronen [Ballot discuss]
2009-08-05
09 Jari Arkko State Changes to AD is watching from IESG Evaluation::AD Followup by Jari Arkko
2009-08-05
09 Jari Arkko According to the authors (and per almost all text changed) this needs to go back to the WG.
2009-08-03
09 (System) Sub state has been changed to AD Follow up from New Id Needed
2009-08-03
07 (System) New version available: draft-atlas-icmp-unnumbered-07.txt
2009-05-29
09 Jari Arkko [Note]: 'There is no document shepherd' added by Jari Arkko
2009-04-23
09 Cindy Morgan State Changes to IESG Evaluation::Revised ID Needed from IESG Evaluation by Cindy Morgan
2009-04-23
09 Lars Eggert
[Ballot comment]
Are these extensions only going into ICMP Unreachables or can they be included in other ICMP messages? (Ron said on the call this ...
2009-04-23
09 Lars Eggert
[Ballot discuss]
First off, I do believe that the extensions in this document will provide useful testing&debugging information, and I have no issue with the ...
2009-04-23
09 Lisa Dusseault [Ballot comment]
I agree with Pasi's DISCUSS on defining a new charset registry and will pay attention to how this is resolved.
2009-04-23
09 Tim Polk
[Ballot discuss]
Phil Hallam-Baker's secdir review (posted 9 February 2009) suggested the need for additional
information in the security considerations section.  There has been no ...
2009-04-23
09 Tim Polk [Ballot Position Update] New position, Discuss, has been recorded by Tim Polk
2009-04-23
09 Magnus Westerlund
[Ballot discuss]
Section 4.1:

    2 :IP address : When set, this indicates an IP address of the
            ...
2009-04-23
09 Magnus Westerlund [Ballot Position Update] New position, Discuss, has been recorded by Magnus Westerlund
2009-04-23
09 Dan Romascanu
[Ballot comment]
1. In the Abstract please replace 'MIBs' by 'MIB modules'

2. I support Lars's DISCUSS about the need to be explicit about what ...
2009-04-23
09 Dan Romascanu
[Ballot discuss]
In Section 4:

3.    An Interface Name Sub-Object, containing a string of no more than
      62 octets, MAY be ...
2009-04-23
09 Dan Romascanu
[Ballot discuss]
In Section 4:

3.    An Interface Name Sub-Object, containing a string of no more than
      62 octets, MAY be ...
2009-04-23
09 Dan Romascanu [Ballot Position Update] New position, Discuss, has been recorded by Dan Romascanu
2009-04-22
09 Ralph Droms [Ballot Position Update] New position, No Objection, has been recorded by Ralph Droms
2009-04-22
09 Robert Sparks [Ballot discuss]
Philip Matthews raised some questions during LC that should be answered before proceeding.

See:
http://www.ietf.org/mail-archive/web/ietf/current/msg56428.html
2009-04-22
09 Robert Sparks [Ballot Position Update] New position, Discuss, has been recorded by Robert Sparks
2009-04-21
09 Russ Housley
[Ballot discuss]
The Gen-ART Review by Ben Campbell was originally posted on 2009-01-08,
  and it lead to some discussion where the authors agreed to ...
2009-04-21
09 Russ Housley [Ballot Position Update] New position, Discuss, has been recorded by Russ Housley
2009-04-21
09 Lars Eggert
[Ballot discuss]
First off, I do believe that the extensions in this document will provide useful testing&debugging information, and I have no issue with the ...
2009-04-21
09 Lars Eggert [Ballot Position Update] New position, Discuss, has been recorded by Lars Eggert
2009-04-21
09 Pasi Eronen
[Ballot discuss]
I have reviewed draft-atlas-icmp-unnumbered-06, and have one
concern that I'd like to discuss before recommending approval of
the document:

Since any valid US-ASCII ...
2009-04-21
09 Pasi Eronen [Ballot Position Update] New position, Discuss, has been recorded by Pasi Eronen
2009-04-18
09 Adrian Farrel
[Ballot discuss]
In addition to my list of minor issues raised as Comments, I have a long list of relatively small Discuss issues. I believe ...
2009-04-18
09 Adrian Farrel [Ballot Position Update] New position, Discuss, has been recorded by Adrian Farrel
2009-04-18
09 Adrian Farrel
[Ballot comment]
A bunch of minor comments that would ideally be fixed before publication.

1. Abstract mentions OSPF
a. This reference to the IGP should ...
2009-04-08
09 Jari Arkko State Changes to IESG Evaluation from Waiting for AD Go-Ahead by Jari Arkko
2009-04-06
09 (System) State has been changed to Waiting for AD Go-Ahead from In Last Call by system
2009-03-28
09 Alexey Melnikov [Ballot Position Update] New position, No Objection, has been recorded by Alexey Melnikov
2009-03-13
09 Samuel Weiler Request for Last Call review by SECDIR is assigned to Phillip Hallam-Baker
2009-03-13
09 Samuel Weiler Request for Last Call review by SECDIR is assigned to Phillip Hallam-Baker
2009-03-09
09 Amy Vezza State Changes to In Last Call from Last Call Requested by Amy Vezza
2009-03-08
09 Jari Arkko Placed on agenda for telechat - 2009-04-16 by Jari Arkko
2009-03-08
09 Jari Arkko Note field has been cleared by Jari Arkko
2009-03-08
09 Jari Arkko Last Call was requested by Jari Arkko
2009-03-08
09 Jari Arkko State Changes to Last Call Requested from AD Evaluation by Jari Arkko
2009-03-08
09 Jari Arkko Ballot has been issued by Jari Arkko
2009-03-08
09 Jari Arkko State Changes to AD Evaluation from Publication Requested by Jari Arkko
2009-03-08
09 Jari Arkko State Changes to Publication Requested from AD Evaluation::External Party by Jari Arkko
2009-02-19
09 Samuel Weiler Request for Last Call review by SECDIR Completed. Reviewer: Phillip Hallam-Baker.
2009-02-06
09 Jari Arkko Took this off the agenda, this was sent back to the WG.
2009-02-06
09 Jari Arkko Removed from agenda for telechat - 2009-02-12 by Jari Arkko
2009-01-23
09 Amanda Baber
IANA comments:

Action #1:

Upon approval of this document, IANA will make the following
assignments in the "ICMP Extension Objects Classes" registry at
http://www.iana.org/assignments/icmp-parameters

Object ...
2009-01-13
09 Jari Arkko State Changes to AD Evaluation::External Party from In Last Call by Jari Arkko
2009-01-13
09 Jari Arkko [Note]: 'Needs to go back to the WG due to the IPR declaration' added by Jari Arkko
2008-12-31
09 Samuel Weiler Request for Last Call review by SECDIR is assigned to Phillip Hallam-Baker
2008-12-31
09 Samuel Weiler Request for Last Call review by SECDIR is assigned to Phillip Hallam-Baker
2008-12-30
09 Amy Vezza State Changes to In Last Call from Last Call Requested by Amy Vezza
2008-12-29
09 Ron Bonica [Ballot Position Update] New position, Recuse, has been recorded by Ron Bonica
2008-12-28
09 Jari Arkko State Changes to Last Call Requested from AD Evaluation by Jari Arkko
2008-12-28
09 Jari Arkko Last Call was requested by Jari Arkko
2008-12-28
09 Jari Arkko Placed on agenda for telechat - 2009-02-12 by Jari Arkko
2008-12-28
09 Jari Arkko AD review OK.
2008-12-28
09 Jari Arkko State Changes to AD Evaluation from Publication Requested by Jari Arkko
2008-12-28
09 Jari Arkko State Changes to Publication Requested from AD is watching by Jari Arkko
2008-12-28
09 Jari Arkko [Ballot Position Update] New position, Yes, has been recorded for Jari Arkko
2008-12-28
09 Jari Arkko Ballot has been issued by Jari Arkko
2008-12-28
09 Jari Arkko Created "Approve" ballot
2008-12-28
09 (System) Ballot writeup text was added
2008-12-28
09 (System) Last call text was added
2008-12-28
09 (System) Ballot approval text was added
2008-11-03
06 (System) New version available: draft-atlas-icmp-unnumbered-06.txt
2008-09-06
09 Jari Arkko in WGLC (INTAREA)
2008-09-06
09 Jari Arkko State Change Notice email list have been change to akatlas@google.com, draft-atlas-icmp-unnumbered@tools.ietf.org, watkinal@us.ibm.com from akatlas@google.com, draft-atlas-icmp-unnumbered@tools.ietf.org
2008-09-06
09 Jari Arkko State Changes to AD is watching from AD Evaluation by Jari Arkko
2008-09-04
09 Jari Arkko State Changes to AD Evaluation from Publication Requested by Jari Arkko
2008-09-02
09 Jari Arkko
(12:34:05 AM) jariarkko@jabber.org/Gaim: are you on top of atlas-icmp?
(12:34:09 AM) jariarkko@jabber.org/Gaim: i.e. what should happen to it?
(12:34:16 AM) jariarkko@jabber.org/Gaim: does it need work? ...
2008-09-02
09 Jari Arkko Responsible AD has been changed to Jari Arkko from Mark Townsley
2008-09-02
09 Jari Arkko State Changes to Publication Requested from Dead by Jari Arkko
2008-09-02
09 Jari Arkko [Note]: 'This is in the INTAREA WG still, not yet AD state.' added by Jari Arkko
2008-09-02
09 Jari Arkko Added on my review list.
2008-09-02
09 Jari Arkko Area acronymn has been changed to int from gen
2008-09-02
09 Jari Arkko Intended Status has been changed to Proposed Standard from None
2008-07-31
05 (System) New version available: draft-atlas-icmp-unnumbered-05.txt
2008-05-19
09 (System) State Changes to Dead from AD is watching by system
2008-05-19
09 (System) Document has expired
2007-11-16
04 (System) New version available: draft-atlas-icmp-unnumbered-04.txt
2007-11-12
09 Mark Townsley Draft Added by Mark Townsley in state AD is watching
2007-07-08
03 (System) New version available: draft-atlas-icmp-unnumbered-03.txt
2007-03-07
02 (System) New version available: draft-atlas-icmp-unnumbered-02.txt
2006-03-07
01 (System) New version available: draft-atlas-icmp-unnumbered-01.txt
2005-12-12
00 (System) New version available: draft-atlas-icmp-unnumbered-00.txt